Bug 966077 - icu config.sh wrapper needs aarch64 support
Summary: icu config.sh wrapper needs aarch64 support
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: icu (Show other bugs)
(Show other bugs)
Version: 19
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eike Rathke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-22 12:31 UTC by Mark Salter
Modified: 2013-08-03 23:54 UTC (History)
3 users (show)

Fixed In Version: openttd-1.3.0-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-28 01:13:30 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Salter 2013-05-22 12:31:29 UTC
Description of problem:
The icu-config.sh wrappers needs aarch64 added to list of 64-bit arches.

diff -up a/icu-config.sh b/icu-config.sh
--- a/icu-config.sh	2013-05-22 08:23:09.158628142 -0400
+++ b/icu-config.sh	2013-05-22 08:24:03.946807263 -0400
@@ -1,7 +1,7 @@
 #!/bin/sh
 OOO_ARCH=$(uname -m)
 case $OOO_ARCH in
-	x86_64 | s390x | ppc64 | sparc64)
+	x86_64 | s390x | ppc64 | sparc64 | aarch64)
 		bits=64
 		;;
 	* )


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2013-07-17 16:14:59 UTC
icu-4.8.1.1-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icu-4.8.1.1-6.fc17

Comment 2 Fedora Update System 2013-07-17 16:18:31 UTC
icu-49.1.1-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/icu-49.1.1-9.fc18

Comment 3 Fedora Update System 2013-07-17 16:19:52 UTC
icu-50.1.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/icu-50.1.2-6.fc19

Comment 4 Fedora Update System 2013-07-18 05:54:41 UTC
Package icu-4.8.1.1-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing icu-4.8.1.1-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13180/icu-4.8.1.1-6.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-07-22 09:49:31 UTC
icu-49.1.1-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/icu-49.1.1-10.fc18

Comment 6 Fedora Update System 2013-07-22 09:50:02 UTC
icu-4.8.1.1-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icu-4.8.1.1-7.fc17

Comment 7 Fedora Update System 2013-07-22 09:50:42 UTC
icu-50.1.2-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/icu-50.1.2-7.fc19

Comment 8 Eike Rathke 2013-07-22 16:32:22 UTC
Updates withdrawn, needs rebuild of packages that use libicule.so, buildroot overridden and waiting for all LibreOffice builds to finish to submit another update.

Comment 9 Fedora Update System 2013-07-23 07:15:45 UTC
openttd-1.3.2-0.2.RC1.fc19,pyicu-1.5-2.fc19,fontmatrix-0.9.99-12.r1218.fc19,libreoffice-4.1.0.3-2.fc19,icu-50.1.2-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openttd-1.3.2-0.2.RC1.fc19,pyicu-1.5-2.fc19,fontmatrix-0.9.99-12.r1218.fc19,libreoffice-4.1.0.3-2.fc19,icu-50.1.2-7.fc19

Comment 10 Fedora Update System 2013-07-23 07:23:44 UTC
openttd-1.3.0-2.fc18,pyicu-1.4-2.fc18,fontmatrix-0.9.99-9.r1218.fc18,libreoffice-3.6.7.2-3.fc18,icu-49.1.1-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openttd-1.3.0-2.fc18,pyicu-1.4-2.fc18,fontmatrix-0.9.99-9.r1218.fc18,libreoffice-3.6.7.2-3.fc18,icu-49.1.1-10.fc18

Comment 11 Fedora Update System 2013-07-23 07:32:02 UTC
openttd-1.3.0-2.fc17,pyicu-1.2-3.fc17,fontmatrix-0.9.99-4.r1218.fc17,icu-4.8.1.1-7.fc17,libreoffice-3.5.7.2-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openttd-1.3.0-2.fc17,pyicu-1.2-3.fc17,fontmatrix-0.9.99-4.r1218.fc17,icu-4.8.1.1-7.fc17,libreoffice-3.5.7.2-14.fc17

Comment 12 Fedora Update System 2013-07-28 01:13:30 UTC
openttd-1.3.2-0.2.RC1.fc19, pyicu-1.5-2.fc19, fontmatrix-0.9.99-12.r1218.fc19, libreoffice-4.1.0.3-2.fc19, icu-50.1.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-08-03 23:54:47 UTC
openttd-1.3.0-2.fc18, pyicu-1.4-2.fc18, fontmatrix-0.9.99-9.r1218.fc18, libreoffice-3.6.7.2-3.fc18, icu-49.1.1-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.